FANDOM



Lxde-icon LXDE
Lxde-screenshot
Founded:
2006 (edit)
Version: 0.8.1 (edit)
Release Date: May 6, 2015 (edit)
Next Release: Unknown (edit)
Home Page: http://lxde.org/ (edit)
 


LXDE is a free and open source desktop environment for Unix and other POSIX compliant platforms, such as Linux or BSD. The name LXDE stands for "Lightweight X11 Desktop Environment".

LXDE is designed to work well with computers on the low end of the performance spectrum such as older resource-constrained machines, new generation netbooks, and other small computers. Testing has shown that LXDE has a small energy-efficiency advantage over other desktops, and consumes considerably less memory under certain typical workloads.

LXDE can be built on top of various Linux distributions such as Mandriva, Ubuntu, Debian, and, more recently, Fedora and openSUSE; it is the native desktop environment of Knoppix, Lubuntu, U-lite, Peppermint OS, and several others.

History

The project was started in 2006 by Taiwanese programmer Hong Jen Yee (Chinese: 洪任: Hóng Rènyù), also known as PCMan, when he published PCManFM, a new file manager and the first module of LXDE.

From the time of its release, LXDE quickly gained popularity, with distributions featuring LXDE rising in ranking on Distrowatch, and with many major distributions offering official LXDE disk images.

Qt Port

Main Article: LXQt

Dissatisfied with GTK 3, Hong Jen Yee experimented with Qt in early 2013, and released the first version of a Qt-based PCManFM on 26 March 2013. He clarified, though, that this means no departure from GTK in LXDE, saying “The Gtk+ and Qt versions will coexist”. He later ported LXDE’s Xrandr front-end to Qt.

On 3 July 2013 Hong Jen Yee announced a Qt port of the full LXDE suite. And on 21 July 2013, Razor-qt and LXDE announced that they are merging the two projects. The merger of LXDE-Qt and Razor-qt was renamed LXQt, and the first release, version 0.7.0, was made available on 7 May 2014. Version 0.8.0, bringing with it full Qt 5 compatibility, was made available on 13 October 2014. LXQt version 0.9 was released in February 2015, it requires Qt 5 & KDE Frameworks 5. This release dropped all compatibility with Qt 4. It also features heavy internal cleanups and refactorings. Qt 5.3 is now the minimum required version.

See Also

XFCE

LXQt

MATE

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.